#include "BluetoothSerial.h"
   
BluetoothSerial SerialBT;

#include <Adafruit_SSD1306.h>
#include <Adafruit_GFX.h>
#define OLED_ADDR   0x3C
Adafruit_SSD1306 display(-1);

void setup()
{
  
  Serial.begin(115200);
  SerialBT.begin("ESP32test");

  display.begin(SSD1306_SWITCHCAPVCC, OLED_ADDR);
  display.clearDisplay();
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.print("ESP32 BT");
  display.display();
  delay(1000); 
}
    
void loop()
{
  String primit;
  if (SerialBT.available()) {
    primit = SerialBT.readString();
    SerialBT.println("text primit: ");
    SerialBT.println(primit);

  display.clearDisplay();
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.print("BT test PC=");
  display.println(primit);  
  }
}
